Results 1 to 3 of 3

Thread: Postgres upgrade 9.2 --> 9.3

  1. #1

    Default Postgres upgrade 9.2 --> 9.3

    I recently upgraded to OpenSuse 13.2. Fine.

    Now there exists a postgres database which is from postgres version 9.2
    Code:
    Dec 29 17:31:50 somename postgresql[1802]: Your database files were created by PostgreSQL version 9.2.
    Dec 29 17:31:50 somename postgresql[1802]: Could not find executables for this version.
    Dec 29 17:31:50 somename postgresql[1802]: Please install the PostgreSQL server package for version 9.2.
    As I found out when reading the postgres documentation, there are several ways to upgrade that database, but is seems that I need the binaries of the older version.

    Question: Where can I download those binaries (which shall run on the new installed OpenSuse 13.2)?

    Thanks

  2. #2
    Join Date
    Oct 2011
    Location
    Germany (Ore Mountains)
    Posts
    428

    Default Re: Postgres upgrade 9.2 --> 9.3

    Please have a look at this thread:

    https://forums.opensuse.org/showthre...nnection-error

    Hendrik

  3. #3

    Default Re: Postgres upgrade 9.2 --> 9.3

    I actually used this one.

    http://www.enterprisedb.com/products.../pgbindownload

    However I am not happy with that kind of migration, but okay, it is the fault of the postgres programmers

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •